%define anolis_release 1
%global pypi_name altair
%global pypi_version 5.3.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Vega-Altair: A declarative statistical visualization library for Python

License:        BSD
URL:            https://github.com/altair-viz/altair
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(packaging)
BuildRequires:  python3dist(jinja2)
Requires:  python3dist(numpy)
Requires:  python3dist(pandas) >= 0.25
Requires:  python3dist(jsonschema) >= 3.0
Requires:  python3dist(toolz)

%description
Vega-Altair: A declarative statistical visualization library for Python.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Vega-Altair: A declarative statistical visualization library for Python.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE


%changelog
* Thu Apr 11 2024 Shenglong Zhu <shenglongzhu@linux.alibaba.com> - 5.3.0-1
- Initial package.
